Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.taskmgmt.def
Class TaskMgmtDefinition

    java.lang.Object
      org.jbpm.module.def.ModuleDefinition
          org.jbpm.taskmgmt.def.TaskMgmtDefinition

All Implemented Interfaces:
  java.io.Serializable

    public class TaskMgmtDefinition

extends ModuleDefinition

extends a process definition with information about tasks, swimlanes (for task assignment).

See Also:
  Serialized Form

Field Summary
`protected Task` | `startTask`
`protected java.util.Map` | `swimlanes`
`protected java.util.Map` | `tasks`

Fields inherited from class org.jbpm.module.def.ModuleDefinition
`name, processDefinition`

Constructor Summary
`TaskMgmtDefinition()`

Method Summary
`void` | `addSwimlane(Swimlane swimlane)`
`void` | `addTask(Task task)`
`ModuleInstance` | `createInstance()`
`Task` | `getStartTask()`
`Swimlane` | `getSwimlane(java.lang.String swimlaneName)`
`java.util.Map` | `getSwimlanes()`
`Task` | `getTask(java.lang.String taskName)`
`java.util.Map` | `getTasks()`
`void` | `setStartTask(Task startTask)`

Methods inherited from class org.jbpm.module.def.ModuleDefinition
`equals, getId, getName, getProcessDefinition, setProcessDefinition`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### swimlanes

    protected java.util.Map swimlanes

### tasks

    protected java.util.Map tasks

### startTask

    protected Task startTask

Constructor Detail

### TaskMgmtDefinition

    public TaskMgmtDefinition()

Method Detail

### createInstance

    public ModuleInstance createInstance()

  Specified by:
    `createInstance` in class `ModuleDefinition`

### addSwimlane

    public void addSwimlane(Swimlane swimlane)

### getSwimlanes

    public java.util.Map getSwimlanes()

### getSwimlane

    public Swimlane getSwimlane(java.lang.String swimlaneName)

### addTask

    public void addTask(Task task)

### getTasks

    public java.util.Map getTasks()

### getTask

    public Task getTask(java.lang.String taskName)

### getStartTask

    public Task getStartTask()

### setStartTask

    public void setStartTask(Task startTask)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD